ډراپ-ان بدیل
مطابقت لريد OpenAI او Anthropic SDKs سره کار کوي. یوازې د اساس URL بدل کړئ.
ټولې ژبې مساوي دي. هغه یو غوره کړئ چې تاسو یې لټون کول غواړئ.
OpenAI او Anthropic مطابقت لرونکی AI API د فنکشن کال کولو، ویب لټون، او جوړښت شوي محصولاتو سره.
هرڅه چې تاسو ورته اړتیا لرئ د شینن د OpenAI او Anthropic مطابقت لرونکي API سره لیږدولو ته اړتیا لرئ.
https://api.shannon-ai.com/v1/chat/completions د فنکشن زنګ وهلو او سټیمینګ سره د چیټ تکمیل API وکاروئ.
https://api.shannon-ai.com/v1/messages د وسیلو او انتروپیک نسخه سرلیک سره کلاډ پیغامونه بڼه.
واک ورکول: بییرر <your-key> یا د کلاډ سټایل تلیفونونو لپاره د انټروپیک نسخه سره X-API-Key.
عامه اسناد - د زنګ وهلو لپاره اړین کلیدي جریان کول، د فعالیت زنګ وهل، جوړښت شوي محصولات، ویب لټون.
د وسیلو، جوړښت شوي محصولاتو، او جوړ شوي ویب لټون لپاره د اصلي ملاتړ سره د OpenAI او Anthropic APIs لپاره د ډراپ ان بدیل.
د OpenAI او Anthropic SDKs سره کار کوي. یوازې د اساس URL بدل کړئ.
وسیلې تعریف کړئ ، پریږدئ چې شینن ورته زنګ ووهي. د اتوماتیک ، جبري او هیڅ حالت ملاتړ کوي.
د سرچینې حوالې سره د ریښتیني وخت ویب لټون. په اتوماتيک ډول شتون لري.
JSON حالت او JSON د اعتبار وړ ډیټا استخراج لپاره د سکیما پلي کول.
د اتوماتیک فعالیت اجرا کولو لوپونه. په هره غوښتنه کې تر 10 تکرارونو پورې.
د ریښتیني وخت نښې سټرینګ لپاره د سرور لخوا لیږل شوي پیښې.
په دریو مرحلو کې پیل کړئ. شینن د OpenAI او انتروپیک پیرودونکو عکس العمل ښیې.
د OpenAI سره مطابقت لرونکی پای ټکی وکاروئ.
https://api.shannon-ai.com/v1/chat/completions د اختیار کولو سرلیک کې د بییرر سند وکاروئ.
یوه ژبه غوره کړئ او خپل کیلي بدل کړئ.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} د شینن API مستقیم ستاسو په براوزر کې ازموینه وکړئ. خپله غوښتنه جوړه کړئ ، چل یې کړئ او په ریښتیني وخت کې ځواب وګورئ.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/ps/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
ټولې API غوښتنې ستاسو د شینن API کیلي په کارولو سره تصدیق ته اړتیا لري.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 شینن ډیری ماډلونه وړاندیز کوي چې د مختلف کارولو قضیو لپاره مطلوب دي.
shannon-1.6-lite Shannon 1.6 Lite د ورځني کارونو لپاره ګړندي او موثر ځوابونه
shannon-1.6-pro Shannon 1.6 Pro د پیچلو ستونزو لپاره پرمختللي استدلال
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder د کال پر بنسټ کوټې سره د کلاډ کوډ CLI لپاره غوره شوی
هغه وسیلې تعریف کړئ چې شینن کولی شي د کړنو ترسره کولو یا معلوماتو ترلاسه کولو لپاره زنګ ووهي.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" ماډل پریکړه کوي چې ایا فنکشن ته زنګ ووهي (ډیفالټ) "none" د دې غوښتنې لپاره فنکشن زنګ بند کړئ {"type": "function", "function": {"name": "..."}} د ځانګړي فعالیت زنګ مجبور کړئ {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} شینن مجبور کړئ چې د باوري JSON سره ځواب ورکړي چې ستاسو د سکیما سره سمون لري.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} د اعتبار وړ JSON محصول (هیڅ ځانګړی سکیما) {"type": "json_schema", "json_schema": {...}} ستاسو د دقیق سکیما سره مطابقت لرونکی محصول مجبور کړئ د ځواب ویونکي UIs لپاره د سرور لخوا لیږل شوي پیښو سره د ریښتیني وخت ټوکن سټریمینګ فعال کړئ.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} شینن یو جوړ شوی web_search فنکشن شامل دی چې په اوتومات ډول شتون لري.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations شینن د انتروپیک پیغامونو API بڼه هم ملاتړ کوي.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); کوم OpenAI یا Anthropic SDK وکاروئ - یوازې د اساس URL بدل کړئ.
رسمي OpenAI Python SDK - د شینن سره کار کوي
pip install openai رسمي OpenAI Node.js SDK - د شینن سره کار کوي
npm install openai د OpenAI سره مطابقت لرونکي APIs لپاره د ټولنې Go مراجعین
go get github.com/sashabaranov/go-openai د OpenAI سره مطابقت لرونکي APIs لپاره د ټولنې روبي پیرودونکي
gem install ruby-openai د OpenAI سره مطابقت لرونکي APIs لپاره د ټولنې PHP پیرودونکي
composer require openai-php/client د OpenAI سره مطابقت لرونکي APIs لپاره Async Rust مراجع
cargo add async-openai رسمي انتروپیک پایتون SDK - د شینن سره کار کوي
pip install anthropic رسمي انتروپیک ټایپ سکریپټ SDK - د شینن سره کار کوي
npm install @anthropic-ai/sdk شینن د معیاري HTTP حالت کوډونه کاروي او مفصل خطا پیغامونه بیرته راولي.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} شینن API ته وروستي تازه معلومات او پرمختګونه.
YOUR_API_KEY خپل د API کلیدي پټ وساتئ. بیا تولید کول یو نوی کیلي رامینځته کوي او زاړه باطلوي.
په دې پاڼه کې د نښه کولو او لټون مصرف وګورئ کله چې خپل حساب ته ننوتل.
د شینن کوډر لپاره د کال پر بنسټ کوټه (shannon-coder-1). په هر 4 ساعتونو کې بیا تنظیم کړئ.
خپل API کیلي ترلاسه کړئ او نن ورځ د Shannon AI سره جوړول پیل کړئ.
مشهور لټونونه: